commit:     9c00412eb610b364c9d061c6147b7866e697786c
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 28 02:27:26 2015 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Fri Aug 28 02:27:26 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c00412e

app-editors/qwriter: EAPI bump

Package-Manager: portage-2.2.20.1

 app-editors/qwriter/qwriter-0.1.9-r1.ebuild | 48 +++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

diff --git a/app-editors/qwriter/qwriter-0.1.9-r1.ebuild 
b/app-editors/qwriter/qwriter-0.1.9-r1.ebuild
new file mode 100644
index 0000000..e61d588
--- /dev/null
+++ b/app-editors/qwriter/qwriter-0.1.9-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+LANGS="ru"
+
+inherit eutils qt4-r2
+
+MY_P="${P}-src"
+
+DESCRIPTION="Advanced text editor with syntax highlighting"
+HOMEPAGE="http://qt-apps.org/content/show.php/QWriter?content=106377";
+#upstream failed to provide a sane url
+SRC_URI="https://qwriter.googlecode.com/files/${MY_P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-qt/qtgui:4
+       x11-libs/qscintilla"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       sed -i "s:languages:/usr/share/${PN}/languages:" src/MainWindow.cpp \
+               || die "failed to fix translation path"
+       # gcc-4.7. Bug #425252
+       epatch "${FILESDIR}"/${P}-gcc47.patch
+       qt4-r2_src_prepare
+}
+
+src_install() {
+       dobin bin/${PN}
+       newicon images/w.png ${PN}.png
+       make_desktop_entry ${PN} QWriter ${PN}
+       insinto /usr/share/${PN}/languages/
+       for x in ${LANGS};do
+               for j in ${LINGUAS};do
+                       if [[ $x == $j ]]; then
+                               doins languages/${PN}_$x.qm
+                       fi
+               done
+       done
+}

Reply via email to